Using Help
Next Topic

These Help files are organized primarily based on the Ribbon structure in UltraFTP. To the left you should see the following major headings:

Getting Started

Ribbons/Toolbars

Ribbon Commands

License Agreement

Sales and Support

The Getting Started section (of which this is the first document) contains useful information to get you up and running quickly and working with FTP servers in UltraFTP.

The Ribbon Commands section may be expanded by double-clicking and consists of information regarding the commands presented in the ribbon in UltraEdit. Each heading (Application Menu, Home Tab, etc.) may be expanded by double-clicking and each topic below the menu headings may be opened by clicking on the topic title in the list. You can also collapse a section heading by double-clicking on it.

The License Agreement section includes both the registered and unregistered license agreements for UltraEdit.

The Sales and Support section includes information regarding technical support and purchasing UltraEdit.


Using UltraFTP

UltraFTP consists mainly of four panes. The top left pane displays the directory tree for the local machine. The top right pane displays the directory tree on the remote system (FTP server). The panes directly below these (to the left and right) display the contents of the active/selected folder in each respective directory tree. The bottom pane displays the progress for active transfers.

The following controls are included in the browser:

Account/connectivity controls
Account button | presents the FTP Account Manager dialog
Account dropdown | allows user to select an FTP account
Connect button | initiates connection to selected account's server
Disconnect button | terminates the active connection to the selected account's server
Local explorer pane controls
Parent folder button | changes active directory to current directory's parent folder
Refresh button | refreshes file listing in top and bottom panes
Local folder path field | reflects current directory. User may type an existing path and press ENTER to change directories, or use dropdown to select a file path from the typed path history
Browse button | opens standard Windows open dialog so user may select new directory
Local filter | allows user to specify local folder/file filter for the bottom pane of the local file view using a standard DOS filter. The dropdown provides access to the typed filter history
Remote explorer pane controls
Home folder button | changes to the default initial directory or the FTP user's home directory on the server
Parent folder button | changes active directory to current directory's parent folder
Refresh button | refreshes file listing in top and bottom panes
Remote folder path field | reflects current directory. User may type an existing path and press ENTER to change directories, or use dropdown to select a file path from the typed path history
Options button | allows user to configure transfer ASCII or Binary type and to choose whether or not to hide directories in the bottom pane of the remote explorer
Remote filter | allows user to specify remote folder/file filter for the bottom pane of the remote file view using the LIST command or a local Perl filter as defined in the account settings. The dropdown provides access to the typed filter history

Multiple files may be selected using CTRL+mouse click or CTRL+SHIFT+mouse click and moved between the local and remote systems via drag and drop. With a directory (or multiple directories) selected, the user may drag and drop them onto a folder in the top or bottom pane of the remote explorer to upload them to the desired folder. Users may also drag and drop selected items onto a file or to empty space in the file listing in the bottom pane of the remote explorer to upload to the active remote directory.

The following context menu options are also supported in the local explorer panes:

Top pane (local explorer)
Upload | sends the entire selected directories and all contents to the active directory of the remote server, provided a connection exists
Make Directory | creates a new folder in the selected directory
Delete | deletes all selected directories
Rename | renames selected directory
Properties | shows Windows properties dialog for selected directory
Show Hidden Files/Folders | toggles whether hidden files/folders are shown in the top and bottom panes
Bottom pane (local explorer)
Upload | sends the entire selected directories/files to the active directory of the remote server, provided a connection exists
Open in UltraEdit | opens all selected files in UltraEdit
Open With Default | opens all selected files in default applications
Make Directory | creates a new folder in the active directory
Create New File | creates a new file in the active directory
Refresh | refreshes the active directory listing in the bottom pane
Delete | deletes all selected items
Rename | renames selected item
Properties | shows Windows properties dialog for selected directory or file
Show Hidden Files/Folders | toggles whether hidden files/folders are shown in the top and bottom panes

The following context menu options are also supported in the remote explorer panes:

Top pane (remote explorer)
Download | sends the entire selected directories and all contents on the remote server to the active local directory
Copy path | copies the full path on the server to the selected file/folder
Copy URL | copies the URL to the selected file/folder, with respect to the "Site prefix" and "Root path" settings for the FTP account in the "Advanced" tab of the FTP account manager dialog
Make Directory | creates a new folder on the server in the selected directory
Delete | deletes all selected directories
Rename | renames selected directory
Permissions | shows permissions dialog where user can adjust standard Unix file system permissions
Bottom pane (remote explorer)
Download | sends the entire selected directories and all contents on the remote server to the active local directory
Copy path | copies the full path on the server to the selected file/folder
Copy URL | copies the URL to the selected file/folder, with respect to the "Site prefix" and "Root path" settings for the FTP account in the "Advanced" tab of the FTP account manager dialog
Open in UltraEdit | downloads and opens all selected files in UltraEdit
Make Directory | creates a new folder in the active remote directory
Create New File | creates a new file in the active directory
Refresh | refreshes the active directory listing in the bottom pane
Delete | deletes all selected items
Rename | renames selected item
Permissions | shows permissions dialog where user can adjust standard Unix file system permissions


Registering UltraFTP

Internet Activation

Internet Activation is the primary method of registering UltraFTP. When the Enter license key option is selected from the Support dropdown, the Activation dialog will be displayed. The easiest method of entering the required License ID and Password is to copy them from the registration email and paste them into the dialog.

The password provided for UltraFTP is case sensitive and must be entered EXACTLY as received from IDM Computer Solutions, Inc.

After entering the License ID and Password, the user must press the Activate button to validate the license with the registration server. After the License ID and Password have been validated, the user will see a dialog indicating that the registration/activation is successful.

If necessary, users may press the Proxy button in the Internet Activation dialog to enter the name or IP address for the proxy server and the port number to be used as appropriate. For most users this should not be necessary as UltraFTP will default to the proxy settings specified for Internet Explorer.

Offline Activation

If online activation is not possible because there is no Internet connection available, users may use the offline activation dialog to register. When the Offline Activation button is pressed in the Internet Activation dialog, the dialog below will be displayed. The License ID and Password fields must be populated with the values provided in your registration email. The User Code 1 and User Code 2 fields will be populated with numeric values. These should be sent to support@idmcomp.com in an email and we will reply with values that may be entered in the Authorization Code 1 field.

Please note: If any values other than those provided by IDM Computer Solutions, Inc. are entered here, this will cause the values in the user code field values to be re-calculated the next time the Offline Activation dialog is opened. Please do not enter any values except those provided by our support team.


Accounts

The Accounts pane in the Accounts & Sessions dockable window provides a user interface for managing and interacting with accounts which have been created using the FTP Account Manager. If no accounts are selected in the Accounts pane the following items are shown in the context menu:

Create/modify accounts... | opens account creation dialog and adds new account to root level list
New group... | prompts for group name and adds new group to root level list
Import accounts... | shows Import FTP Accounts dialog used to specify settings for importing existing account information
Export accounts... | shows Export FTP Accounts dialog used to specify data type and export path
Display alphabetically | shows a flat list of all accounts in alphabetical order
Set double-click behavior... | presents dialog allowing users to decide if double-clicking an FTP account opens a new session for the selected account or switches the FTP account to be used for the active session and also to determine whether or not UltraFTP should automatically connect to the remote server on a double-click of an account name

If an existing group is selected the following items are shown in the context menu:

New account... | opens account creation dialog and adds account to selected group
New group... | prompts for group name and creates group as a sub-group of the selected group
Delete group | deletes selected group with prompt to confirm deletion of associated accounts
Rename group | makes selected group editable so it can be renamed

If an existing account is selected the following items are shown in the context menu:

Connect in new session | opens new session and automatically connects to selected account
Connect in active session | disconnects active session and automatically connects to selected account
Rename account | makes selected account editable so it can be renamed
Modify account | opens FTP Account Manager to selected account
Clone account | creates a new account with a unique name using the same settings as the selected account
Delete account | deletes selected account and prompts user to confirm deletion
Display alphabetically | shows a flat list of all accounts in alphabetical order
Set double-click behavior... | presents dialog allowing users to decide if double-clicking an FTP account opens a new session for the selected account or switches the FTP account to be used for the active session and also to determine whether or not UltraFTP should automatically connect to the remote server on a double-click of an account name

Users may immediately launch a new session and connect to an account by double-clicking on that account name in the Accounts pane.


Sessions

The Sessions pane in the Accounts & Sessions dockable window provides a user interface for managing and interacting with sessions. This contains a list of user-defined FTP sessions. Each session has its own settings which are defined in the Session Properties dialog. By default, sessions are sorted in the order in which they are created, but they can be re-ordered using drag and drop and they can be nested as well.

Active Sessions

The Active Sessions list is always shown at the top of the Sessions pane in the Accounts & Sessions dockable window and provides a list of all open sessions. If a session is connected, the folder shown with the session name should have a green color. If not connected, the folder will have a yellow color. Active sessions are listed according to their tab order in the application. If a saved session is launched, it will be shown both in the Active Sessions list and the Saved Sessions list.

If the Active Sessions group heading is selected the following items are shown in the context menu:

Disconnect all sessions | disconnects all connected sessions and removes them from the list
Close all sessions | closes all open sessions

If nothing is selected in the Sessions pane the following items are shown in the context menu:

New session... | opens Session Properties dialog to create a new session. Once user finalizes session properties, a new session is added to the root level list
New group... | prompts for group name and adds new group to root level list under Saved Sessions
Display alphabetically | shows a flat list of all sessions in alphabetical order

If an existing group is selected in the Sessions pane the following items are shown in the context menu:

New session... | opens Session Properties dialog to create a new session. Once user finalizes session properties, a new session is added to the root level list
New group... | prompts for group name and adds new group as sub-group of selected group
Delete group | deletes selected group with prompt to confirm deletion of associated sessions
Rename group | makes selected group editable so it can be renamed

If an existing session is selected in the Sessions pane the following items are shown in the context menu:

Load session | opens new tab with session and connects automatically if the auto connect option is set
Load in current session | disconnects active session and automatically connects to selected account
Rename session | makes selected session editable so it can be renamed
Modify session | opens Session Properties dialog where user can modify/update settings
Delete session | deletes selected session with prompt to confirm

The session tab context menu offers the following options:

Rename | makes session name editable so that it can be renamed and if the renamed session is a saved session, updates the name in the Saved Sessions list as well
Save as... | prompts for name to use when saving selected session and adds saved session to root level list in Sessions pane
Close | disconnects and closes active session
Close all | disconnects and closes all sessions
Close all except this | disconnects and closes all sessions except the active session
Session properties | opens Session Properties dialog for active session


Local/Remote Synchronization

Local/Remote Synchronziation

The Folder sync option in the Home ribbon may be used to synchronize content between the local system and a remote server.

The desired option should be selected in the Sync Rules dropdown and then the folder sync should be started. Rules inform the folder sync mechanism what type of synchronization should be performed. A rule is a set of instructions detailing what to do in a given situation; replace older files with new, copy orphaned files, delete older files, etc. Using the specified rules and the local/remote folders selected, the sync mechanism will scan the folders to generate a list of file differences.

If you have selected local and remote folders in the active session, clicking on the Folder sync button will initiate a scan of the local/remote folders to determine the differences between them and what actions should be executed by the selected rule to synchronize the selected folders. When the Start sync button is pressed, the synchronization process is initiated and progress will be shown in the progress bar. The synchronization may be interrupted using the Stop sync button.

Note: The synchronization process will overwrite and delete files/folders as specified by the selected rule. Once this process begins, the synchronization cannot be undone.

Clicking on the Customize rules button will open the Customize sync rules dialog:

In this dialog, you may create custom rules for synchronization. The Customize sync rules dialog includes the following options:

Local Folder | specifies local folder to be synchronized
Remote folder | specifies remote folder to be synchronized
Sync Rule | provides dropdown to select rule to be used for synchronization. You may click the New button to create a new rule, the Edit button to edit and existing rule, or the Delete button to remove a previously specified rule.
Sync actions | provides dropdowns to specify synchronization actions
Timestamp settings |
Server clock skew | specifies the difference in seconds between local system time and remote server time
Second tolerance | specifies a number of seconds within which timestamps should be considered the same for synchronization

Maximum number of connections

If an FTP server is limited to a maximum number of connections and UltraFTP is creating more connections than the server allows, the server might begin terminating connections without warning. This might result in connections in UltraFTP that are indefinitely waiting on a server response but will never receive one.

UltraFTP is unable to determine whether the server has terminated a connection or if there is simply a delay in the server’s response. This can result in a transfer that appears to be “hung” as it waits for a status update that might never come.

This can sometimes occur in the FTP browser. In this circumstance, the solution is to manually cancel the transfer and then retry it later.

Folder sync is more likely to experience this issue because it deals with the entire file/folder set. When the user runs a folder sync on a large file set, it can quickly spawn enough transfers to create a large number of connections. If this exceeds the maximum connection setting on the server, then the problem may occur.

Most users will not experience this problem because, by default, an account’s connection limit for FTP accounts is set to 4. Most servers will support that number of connections without issue.

If a user does experience this issue, the most practical solution is to set the FTP account connection limit to a value less than the maximum connection limit configured on the server. This setting can be adjusted in the General tab of the FTP account configuration dialog. The other solution is to increase the limit on the server or remove it completely.


FTP Account Manager

This dialog allows user FTP accounts to be configured. An account specifies the server to be connected to and the user identification that will be used to connect to the server.

The Add account button allows you to specify a new account name. The account to modify may be selected from the list of accounts. If any changes have been made to the account a prompt will be shown asking if the changes should be kept.

The Remove account button immediately removes the active/selected account from the accounts list.

The Clone account button creates a copy of the active/selected account and inserts it at the bottom of the accounts list.

The Set default account button sets the active/selected account as the default account specified by an asterisk "*" following the account name in the list.

The Test connection button attempts to establish a connection with the active server using the information currently specified for the selected account. If the connection is successful a Test connection dialog will be displayed indicating, "Successfully connected to server!". If the connection attempt is not successful the Test connection dialog will report that the connection attempt failed and will also include the error message returned from the server when the connection was attempted. This provides users a convenient means to validate the information specified for the remote server.

If the Share FTP accounts option is not selected, FTP account information will be stored in the FTPDataU.ini file under %APPDATA%\IDMComp\UltraFTP. If this option is selected, FTP account information will be stored in the IdmFTPAccountsU.txt file under %APPDATA%\IDMComp\Common\FTP Accounts. This account data will be available to all IDM applications which have the shared FTP accounts option selected for FTP.

The FTP Account Manager has options organized under five different tabs: General, Server, Advanced, Transfers, Proxy, SSH/SSL, and Notes..

The General tab includes the following configuration options:

Account

This is the name to be used for the configured account. This name will appear in the list to the left of the configuration options when changes are saved.

Protocol

This dropdown allows users to select one of the following transfer protocols for the account being specified:

FTP | Creates a non-secure FTP connection.
SFTP | Creates a secure FTP (SFTP) connection with the SSH2 protocol.
FTPS - Control Only | Creates a secure FTP (FTPS) connection with an SSL layer below the standard FTP protocol. This method encrypts the control channel ONLY.
FTPS - Control + Data | Creates a secure FTP (FTPS) connection with an SSL layer below the standard FTP protocol. This method encrypts both the control and the data channels.
FTPS - Implicit | Creates a secure FTP (FTPS) connection with an SSL layer below the standard FTP protocol. This is an older FTPS method and is not generally preferred, but is still supported on some servers.

All SFTP/FTPS transfers are encrypted and the encryption algorithm is negotiated with the server. If any of these are set the transfer dialogs will show a "lock" symbol indicating the transfer is secure.

Server

This is the ftp site that you wish to connect to such as ftp://ftp.idmcomp.com. This may also be entered as ftp.idmcomp.com. If preferred the IP Address in the form xxxx.xxxx.xxxx.xxxx may be entered.

Port

This is the port used by UltraFTP for the FTP/SFTP protocol. The default is 21 for FTP and 22 for SFTP. This may be changed if required.

Username

This is the username used to log into the server.

Password

This is the password used with the username to log into the server. This should be the password for the username as provided by the site administration, or for anonymous log in this is typically the email address of the user.

Save Password

This checkbox determines if UltraFTP will save the password for later reference. If not, the user will be prompted for the password as required. Note: if the password is saved it is stored on the system. It is encrypted however, the encryption mechanism is unsophisticated and should not be relied upon as a method of security.

No Password

If an account does not have a password on the server and should be sent a blank or null password, the No Password option must be enabled.

User Account

This allows the user to specify an account on the host server when logging. This is only required with some servers.

Connection Limit

This setting limits the number of concurrent connections that the FTP client will make with the server. For example, if a user selects 10 files to open or save via FTP, but has the connection limit set to 4, the selected files would be transferred in blocks of 4 or less until all selected files are transferred.

Initial Directory

This is the initial directory to connect to on the FTP server. This is not required. If this is NOT specified, UltraFTP will remember the last directory for the account each time the user connects to the server.

Initial Local Directory

This is the initial local directory used when connecting to the FTP server. This is only used with the FTP Browse option. This is not required. If this is NOT specified, UltraFTP will default to the user's document folder (e.g. My Documents on Windows XP and Documents on Windows Vista).

The Server tab includes the following configuration options:

Server Type

For most FTP servers the default Auto or Unix should work without problem. However this provides for connection to servers that need special handling. The list of servers supported is expected to grow. Currently supported are:

Auto

AIX

AS400

BS2000

File Name Only - this takes the first field returned and displays it as the filename

HP3000 MPE

HP3000/VeSoft Security

MVS

OpenVMS

OS9000

Stratus VOS - The "Full Path Leading Character" should be set to "%" and the "Path/Node Separator Character" should be set to ">".

Tandem Guardian

Tandem OSS

UNIX

VShell

Session Name

This field may be used to define the Session Name for the active account. This is only used for HP3000 accounts.

Send After Login

Any value entered in this field will be passed to the FTP server immediately following connection to the server.

LIST Command Filter

The LIST Command Filter determines what is retrieved from the server when a LIST command is issued. On most FTP servers if you pass "-al" you will receive a full listing including hidden files. You can also pass wildcards. For example "*.txt" would list all txt files. Note that some servers (VMS, MVS, etc) do not handle filter arguments like Unix/Linux servers.

Full Path Leading Character

This allows the user to override the leading character (normally "/") for the full path of a file on the server.

Path/Node Separator Character

This allows the user to override the character (normally "/") used between directories/nodes on the server.

Name Index

This field is used to specify the column number where the name of the file is stored. The default for this value is "-1" and this should not be changed unless you're sure of the value that should be used.

Size Index

This field is used to specify the column number where the size of the file is stored. The default for this value is "-1" and this should not be changed unless you're sure of the value that should be used.

Use MDTM and SIZE

If the modified time and size of files does not appear to be returned correctly this option may be selected to force these values to be explicitly requested for every file returned in the directory listing. Selecting this will likely slow down FTP processes.

Passive Transfers

Because FTP is a port-hopping protocol (i.e. data channels use a random port chosen during the communication), many firewalls have the ability to understand the FTP protocol and allow the secondary data connections. However if the control connection is encrypted using any method the firewall is not able to get the port numbers of the data connections from the control connection (since it is encrypted and the firewall cannot decrypt it). Therefore in many firewalled networks clear FTP connections will work while SFTP/FTPS connections will either completely fail or require the use of passive mode.

Do not use IP address returned by server

This value may only be used when the Passive Transfer option is selected. This option is not selected by default and this forces the account to use the IP Address specified by the firewall when connecting to the server. Please note: If you do not control the server you're connecting to or are not sure of its content, there is a security risk involved in selecting this option.

Enable Keep Alive

If this option is selected, a signal is periodically sent to the server. This can help prevent a disconnect due to inactivity.

Enable IPv6

If this option is selected, then IPv6 addresses may be used when trying to connect to a remote server and values such as fe80::213:20ff:fe91:5bb5 but also fully qualified hostnames that resolve to such IP addresses such as www.google.com.sixxs.org may be entered in the Server field on the General tab. When attempting to connect to the specified server, UltraFTP will first try to determine if IPv4 was entered, and then if it fails IPv6.

The Advanced tab includes the following configuration options:

Local Copy Directory

This allows the user to specify where a local copy of the file should be saved automatically when a file is saved. If this is blank no local copy is made. If this is not empty, when an FTP Save occurs (not Save As) a copy of the file is saved in the specified directory. If another file exists with the same name it will be overwritten without warning. The local copy is made prior to the FTP Save.

Cache password for session if not saved

If this is checked the password for the account once entered is cached for the period UltraFTP is running and will not need to be re-entered. If the password is entered incorrectly and needs to be changed entering the Accounts dialog and leaving it will clear out the cache.

Default Transfer Type

Users may specify ASCII or Binary as the default transfer type. ASCII causes the file to be appropriately converted for line terminations between different systems. Binary causes files to be transferred byte-for-byte with no conversion. Depending on the FTP server/client, an ASCII transfer may corrupt the file as this is a 7-bit transfer. For this reason, Binary is the preferred transfer type.

Display Filter

Two options exist for filtering the directory listing returned after connecting to the FTP server:

Remote - Use LIST command

If this option is selected, filtering of the directory listing returned from the FTP server will be executed on the FTP server using the LIST command. Results may be filtered using standard wildcards. For example "*.txt" would list all txt files. Note that some servers (VMS, MVS, etc) do not handle filter arguments like Unix/Linux servers.

Local - Perl regular expressions

If this option is selected, filtering of the directory listing returned from the FTP server will be executed on the local system and is only a parsing of the data returned from the FTP server as reflected in the FTP log. This option will use Perl regular expressions to determine how the filter expression should be parsed and what data should be returned.

Sort server file list alphanumerically

If this option is selected, numbered folders/files will be sorted alphanumerically, (e.g. 10, 50, 100, 150, 200). If this option is not selected, numbered files/folders will be sorted alphabetically, (e.g. 10, 100, 150, 200, 50).

Preserve file's original date and time stamp

If this option is selected, the original date and time stamp will be preserved for files when they are downloaded/uploaded.

Display localized date / time for remote file listing

If this option is checked, UltraFTP will show remote file time stamps in the local system's timezone. This may cause performance degradation as more processing must be done to calculate translated times.

Site prefix (for “Copy URL”)

This allows the user to define a site URL prefix for the “Copy URL” feature in the remote pane of the FTP Browser. Generally, this will be the website’s public URL like “http://www.example.com” but can be any string. This allows the user to copy an HTTP(S) link to the selected remote file or folder directly from the FTP Browser context menu.

Root path (excluded from “Copy URL”)

The root path is used in conjunction with the site prefix setting above for the “Copy URL” feature. This should be a path on the server that should be excluded from the copied URL. For example, if a website root exists under “/var/www/example.com/” on the FTP server, then the user should enter this path to prevent it from being included in the copied URL. Everything after the root path will be included in the copied URL. This can be left blank if the FTP root and the HTTP(S) website root are the same.

The Transfers tab includes the following configuration options:

Overwrite settings

These settings allow users to specify rules to help automate the process of determining when an uploaded/downloaded item should overwrite an item with the same name that already exists on the target system. Overwrite rules may be specified in the FTP Account Manager and would affect all sessions spawned using that account as well as in the Session Properties dialog for a given session for session-specific overwrite rules.

The Proxy tab includes the following configuration options:

Use Proxy

This enables the proxy settings and configures this account to connect through the specified proxy. If connecting directly to the Internet the proxy settings should not be enabled. If connecting via a proxy on a LAN it will be necessary to set up the proxy settings.

Proxy Server

This is the name of the server (or IP address) that is used for the proxy. If you do not know this name check with your system administrator.

Proxy Port

This is the port used by UltraFTP for the FTP/SFTP protocol. The default is 21 for FTP and 22 for SFTP. This may be changed if required.

Proxy User

This is the username to be used to log into the proxy. If you do not know this name check with your system administrator.

Proxy Password

This is the password to be used to log into the proxy. If you do not know this name check with your system administrator.

Proxy Type

This dropdown is used to specify the type of proxy being used for the current FTP account. The following proxy types are currently supported:

SOCKS4

SOCKS4A

SOCKS5

WEB Proxy

Relay

Windows (Internet Explorer)

FTP User

FTP Site

FTP Open

Please note that not all proxies are available for each protocol.

The SSH/SSL tab includes the following configuration options:

Authentication

This allows the user to specify the type of authentication to be used with the server. The following methods are supported:

Password Only | This requires the username/password to be provided and no public/private key pair or SSL certificate is used.
Public Key/SSL Certificate Only | This requires the use of the public/private key pair or SSL certificate to be used. The private key/SSL certificate location must be specified in the Private Key/SSL Certificate Path.
Password & Public Key/SSL Certificate | This allows the user to specify the public/private key or SSL certificate and/or the username/password.
Key requires Password | If this option is selected the username field under the General tab must be filled in.

If the method used requires a key, the Key requires Password option allows the user to indicate that the private key is password protected. If this is the case, the user will be prompted for the password once per session, or after changing the account settings.

The authentication method must be supported by the server. For SFTP, the private key used should be in PPK format. For FTPS, a certificate encapsulated in the PEM or PFX format should be used. PFX files with multiple certificates are not currently supported.

Enable Compression

If this option is selected, data is compressed when transferred to/from the server. Depending on server configuration this may enhance transfer speed.

The Notes tab includes the following configuration options:

The Account notes field supports ANSI or Unicode text and allows users to store information that may be helpful in management of the FTP account/server. Information specified in this field will be displayed in a tooltip when the cursor hovers over the relevant account name in the Accounts tab in the Accounts & Sessions window.


Quick Access Toolbar Customization

By default, the Quick Access Toolbar is shown in the title bar of the application. Users may customize the Quick Access Toolbar by right-clicking on it and selecting Customize Quick Access Toolbar... from the context menu. Commands are selected in the left pane and added to the toolbar by clicking on the Add button. Items may be selected in the right pane and removed by clicking on the Remove button. Icons may be rearranged by using the up/down arrows to the right of the right pane. If desired, users may restore the default state by clicking on the Reset button below the right pane. Users may force the Quick Access Toolbar to be displayed below the Ribbon by selecting Show Quick Access Toolbar below the Ribbon.


Ribbon Customization

Users may customize the ribbon to arrange tabs and commands as desired. While users may not delete any of default tabs, groups may be hidden and new tabs and groups may be defined by users. The Ribbon Customization dialog may be accessed by right-clicking on the ribbon and selecting Customize the Ribbon... from the context menu. The Add and Remove buttons may be used to move items back and forth between the two panes. Icons may be rearranged by using the up/down arrows to the right of the right pane. If desired, users may restore the default state by clicking on the Reset button below the right pane.

Users may create new Ribbon tabs by clicking on the New Tab button below the right pane. If the newly created tab is selected, users may click on the Rename button to rename it. Users may add new groups to the newly created tab by clicking on the New Group button. Commands may be added to groups by selecting them in the left pane and then clicking on the Add button. Tabs will be displayed as menu headings and groups will be displayed as separate sections within the Ribbon.


Home Tab

The Home Tab includes the following commands:

Start |
Configure accounts | displays dialog to specify FTP accounts
New session | creates a new session
Connect |
Connect | negotiates connection with remote server
Refresh all | updates the content displayed in both local and remote panes
Upload | uploads selected items to remote server
Download | downloads selected items from remote server
Abort | aborts active upload/download process
Folder sync |
Folder sync | initiates folder synchronization with active session using currently configured settings
Sync rules | provides dropdown to select rules to be used for folder synchronization session
Customize rules | opens Customize sync rules dialog where users can create new sync rules and specify relevant options
Start sync | initiates folder synchronization
Stop sync | stops active folder synchronization
Current Session |
Set session options | opens Session Properties dialog for active session
Rename | opens dialog to rename active session
Save - Save as new | saves current session with a new name
Save - Group & save all | creates a new session group in Sessions pane of Accounts & Sessions window and adds all active sessions to newly created group
Close - Close | closes active session
Close - Close all | closes all active sessions
Close - Close all except this | closes all sessions except the active one
Session tabs |
Previous tab | switches focus to previous session tab
Next tab | switches focus to next session tab
Extras |
Open in UEStudio | opens selected file in UEStudio (or UltraEdit - depending on which is installed)
Compare | opens dialog for comparison of 2 or 3 files or folders with UltraCompare
UltraFinder | invokes UltraFinder for Find files and Find duplicates operations
Updates |
Check for Updates | checks to see if an upgrade/hotfix is available for the version currently being used


Set session options

This command launches the Session Properties dialog, which may be used to specify settings for the active session. The name for the active session is defined in the Session Name field. The Account dropdown may be used to select the FTP account that should be used with the session.

Automatically connect when session is loaded

If this is selected, UltraFTP will automatically connect to the specified server as soon the session is loaded.

Configure Accounts

Clicking on this button opens the FTP Account Manager and automatically selects the FTP account specified for the active session.

Local settings

The options defined in the local settings group will determine what is displayed in the local (left) panes when the session is loaded. This includes the following options:

Start in directory

This specifies the default directory for the local pane.

Show hidden files/folders

If this is selected, hidden files and folders will be visible in the local session pane. If this option is not selected, they will be hidden.

File filter

The default string to be used to filter the files displayed in the lower local session pane is defined here. If no string is defined, all files will be displayed. Any string defined here will automatically populate the filter control above the upper local session pane when the session is loaded.

Remote settings

The options defined in the remote settings group will determine what is displayed in the remote (right) panes when the session is loaded. This includes the following options:

Start in directory

This specifies the default directory for the remote pane.

Show hidden files/folders

If this is selected, hidden files and folders will be visible in the remote session pane. If this option is not selected, they will be hidden.

File filter

The default string to be used to filter the files displayed in the lower remote session pane is defined here. If no string is defined, all files will be displayed. Any string defined here will automatically populate the filter control above the upper remote session pane when the session is loaded.

Overwrite settings

These settings allow users to specify rules to help automate the process of determining when an uploaded/downloaded item should overwrite an item with the same name that already exists on the target system. Overwrite rules may be specified in the FTP Account Manager and would affect all sessions spawned using that account as well as in the Session Properties dialog for a given session for session-specific overwrite rules.


Layout Tab

The Layout Tab includes the following commands:

Look and feel |
Themes | presents Manage Themes dialog where user may configure colors for the application
Scrolling |
Sync upper | synchronizes scrolling of upper local and remote panes
Sync lower | synchronizes scrolling of lower local and remote panes
Views |
Accounts & sessions | shows or hides Accounts & Sessions window
File preview | shows or hides File preview window
FTP Log | shows or hides FTP Log window and displays all data passed between remote server and application
Transfer details | shows or hides Transfer details window which provides details regarding success/failure of recent transfers
Panes |
Maximize local | toggles display of local pane between maximum and default sizes
Maximize remote | toggles display of remote pane between maximum and default sizes
Remote only | hides local panes and maximized remote panes to fill application
Wide screen mode | displays tree and active folder content side-by-side rather than showing tree content above the active folder content


Manage Themes dialog

Manage Themes (Layout tab/Themes dropdown)

The Manage Themes dialog may be used to modify themes, create new themes, delete themes, and import/export (open and save) themes. The Theme dropdown allows users to select themes which have already been specified. By default, themes are stored in the %APPDATA%\IDMComp\UltraFTP\themes folder and have a .uetheme extension. The four buttons in the top row of controls support the following features:

The Add theme button presents a submenu with two options: Add new theme and Add existing theme.

The Delete theme button removes the selected theme from the system
The Export theme button opens a file browser dialog where the user may save the theme selected in the Theme dropdown
The Revert theme to defaults button resets the selected theme to its defaults (erasing any user modifications/overrides)

Add new/existing theme

If Add new theme is selected from the Add theme submenu, this presents a New Theme dialog where users may specify the name of the new theme as well as an existing theme whose settings will be used as a basis for the new theme to be defined. By default, the currently active theme will be automatically selected. When the users clicks OK, the new theme will be created and will be made active in the Theme dropdown and the user may begin modifying the associated settings.

If Add existing theme is selected, this will open a file browser dialog where the user may select an existing theme file. The selected theme will then be copied to the user's themes directory and the Theme dropdown will automatically switch to the newly imported theme. The active theme will not actually be changed until Apply or OK is pressed.

Manage Themes - Application

The Application tab of the Manage Themes dialog offers the following functionality:

Application style dropdown | allows users to select from a pre-defined list of default styles for the application as a whole
Set styles for dropdown | allows users to configure the color of specific elements within the application such as dockable windows, menus, toolbars, file tabs, and more
Font | if applicable for the selected item, the Set font button will be active and may be used to set the font/size/style of text in the selected item
Foreground swatch | presents an OS color picker dialog which may be used to define the color of the selected item
Background swatch | presents an OS color picker dialog which may be used to define the color of the selected item

The preview button [image] allows the user to preview changes in the main application window in real time. When this is toggled on, a user may preview modifications to a theme as he makes them and then toggle this off to see the changes compared to current settings.


License Agreement

END-USER LICENSE AGREEMENT ("EULA")

IDM Computer Solutions, Inc., ("IDM")

IMPORTANT - READ CAREFULLY: This is a legally binding agreement between You and IDM for the use of IDM SOFTWARE PRODUCTS or SOFTWARE.

BY PAYING THE LICENSE FEE FOR THE SOFTWARE PRODUCT YOU AGREE TO BE BOUND BY THE TERMS AND CONDITIONS OF THIS EULA.

U.S. COPYRIGHT LAWS AND INTERNATIONAL COPYRIGHT TREATIES, AS WELL AS OTHER INTELLECTUAL PROPERTY LAWS AND TREATIES PROTECT THE SOFTWARE PRODUCT. IDM IS AND SHALL REMAIN THE OWNER OF ALL INTELLECTUAL PROPERTY RIGHTS IN THE SOFTWARE. THE SOFTWARE PRODUCT IS LICENSED TO YOU ON A NON-EXCLUSIVE, NON-ASSIGNABLE, NON-TRANSFERABLE, LIMITED, PERSONAL BASIS, NOT SOLD.

TERMS:

I. "You" means the person, company, or organization that has licensed the SOFTWARE PRODUCT(s) or SOFTWARE by means of a paid license fee respective of your order.

II. "SOFTWARE PRODUCT or SOFTWARE" means use of a copy of computer software identified herein and any associated media included in Your order. A copy of the printed materials may include "online" or electronic documentation as well as any applicable licensed third party Content.

III. "Computer" means a virtual or physical computer device that accepts information in digital or similar form and manipulates it for specific result based on a sequence of instructions.

IV. "Internal Network" means a private, proprietary network resource accessible only by employees and individual contractors (i.e., temporary employees) of a specific corporation or similar business entity. Internal Network does not include portions of the Internet or any other network community open to the public, such as membership or subscription driven groups, associations and similar organizations.

V. “Territory” means worldwide, but excludes any U.S. embargoed countries and countries where you are prohibited from using the Software or the Services.

1. LICENSE GRANT AND RESTRICTIONS.

The following section applies to all IDM SOFTWARE PRODUCT(S) and SOFTWARE.

If You obtained the SOFTWARE and any required SOFTWARE key(s) from IDM or one of its authorized distributors and as long as You comply with the terms of this EULA, IDM grants You a non-exclusive, non-transferable, limited personal license to install and use the SOFTWARE PRODUCT or SOFTWARE in a manner consistent with its design, documentation, and Your order. You may only use the SOFTWARE according to the License ordered by You and granted by IDM. IDM offers several license types to meet the needs of its customers. Particular licenses are offered for the SOFTWARE PRODUCT OR SOFTWARE depending on the intended use of the SOFTWARE. Your order shall designate the authorized use of the SOFTWARE which may include but is not limited to; Personal License, Concurrent License, Multi License, Site License, Enterprise License, or Volume Discount License.

1.1 General Use. Except as otherwise provided in this EULA, You may install and use the SOFTWARE on up to the Permitted Number of Your compatible Computer(s) according to your order. For Personal licenses (a single license), as long as you are the Sole User of the software, you may install and use the SOFTWARE on up to three compatible Computer(s)

1.2 Distribution from Server. You may copy an image of the SOFTWARE onto file server(s) within Your Internal Network for the purpose of downloading and installing the SOFTWARE onto Computers within the same Internal Network for use as permitted by Section 1.1.

1.3 Server Use. You may install the SOFTWARE on Computer file server(s) within Your Internal Network only for use of the SOFTWARE initiated by an individual from a Computer within the same Internal Network as permitted by Section 1.1. The total number of users (not the concurrent number of users) able to use the SOFTWARE on such Computer file servers(s) may not exceed the Permitted Number of users as specified by the license purchased.

1.3.1 The foregoing does not permit You to install or access (either directly or through commands, data or instructions) the SOFTWARE: (i) from or to a Computer not part of Your Internal Network (with the exception of a world-wide enterprise license), (ii) for enabling web hosted work groups or services available to the public, (iii) by an individual or entity to use, download, copy or otherwise benefit from the functionality of the SOFTWARE unless licensed to do so by IDM, (iv) as a component of a system, work flow or service accessible by more than the Permitted Number of users.

1.4 Backup Copy. You may make a reasonable number of backup copies of the SOFTWARE, provided Your backup copies are not installed or used for other than archival purposes.

2. Subscription-Based Software License (if applicable). If we provide the Software to you as part of your subscription to use the Services, then subject to your compliance with these terms, we grant you a non-exclusive license to install and use the Software: (a) in the Territory, (b) so long as your subscription is valid, and (c) consistent with applicable terms and related documentation of this agreement. For personal subscriptions, you may activate the Software on up to 5 computers (or virtual machines) at a time. If your activations are associated with a License ID for a business, corporation or academic institution, then your activations are limited to the quantity purchased. Personal activations may not be used by anyone other than the individual licensee.

2.1 Activation. The Software may require you to take certain steps to activate your Software or validate your subscription. Failure to activate or register the Software, validate the subscription, or a determination by us of fraudulent or unauthorized use of the Software may result in reduced functionality, inoperability of the Software, or a termination or suspension of the subscription.

2.2 All our subscription plans are Pre-paid

a. Payment. You will be charged the fees stated at the time of purchase. As soon as we have received full payment, your paid subscription will begin.

b. Renewal. The prepaid price is valid for a full 12 months. After that, we'll renew your contract automatically unless you cancel. The price is subject to change, but we will always notify you beforehand.

c. Refund. Because all IDM products are available on a 30-Day Free Trial basis, paid subscription or license fees are not subject to refund.

d. Annual Commitment with Annual Payment. Your credit card will be charged the fees stated at the time of purchase. Your subscription will start as soon as your credit card is successfully charged and will renew automatically until you cancel your subscription. Price may change at the end of your subscription period.

e. Cancellation. The IDM All Access license is offered on an annual pre-paid subscription basis only. We will always send you a renewal notice (even if you have authorized automatic renewals). Once you receive the renewal notice, you may cancel your subscription by clicking through the “MyAccount” link. You may also cancel your subscription by emailing us or by phone.

2.3 Online Purchases. To ensure a safe and secure online shopping experience, IDM uses Avangate as its online checkout merchant service provider. All online transactions are subject to common card industry terms and conditions. These may be found here: http://www.avangate.com/terms.php

3. OTHER RIGHTS AND LIMITATIONS.

3.1 Limitations on Reverse Engineering, De-compilation, and Disassembly. You may not reverse engineer, decompile, translate, localize or disassemble the SOFTWARE PRODUCT.

3.2 Separation of Components. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer. You may not unbundle or repackage the SOFTWARE PRODUCT for distribution.

3.3 Rental. You may not rent, license, assign, transfer, time share, host, lend, sub-license, distribute, or lease the SOFTWARE PRODUCT except as otherwise expressly provided in this EULA.

3.4 Software Transfers of Rights. You may transfer a multi-user, site, or enterprise license (in-full) in connection with a divestiture, a merger, or consolidation, as long as You provide IDM with prior written assigned notice, on a form that IDM will provide You, that includes: (i) the original license order number/details; (ii) the quantity of licenses, if applicable, being transferred by product and version; (iii) the name, address and contact information of the transferee; (iv) any other information that IDM reasonably requests.

For all other transfers of licenses, IDM prior written consent is required. No license transfer will be valid unless the transferee accepts in writing the applicable product use rights, use restrictions, and limitations of liability. Any transfer made in violation of the requirements or restrictions of this section will be void and may result in the license being terminated. You may not transfer licenses on a short-term basis or transfer temporary rights to use products.

The SOFTWARE PRODUCT and any copies of the SOFTWARE PRODUCT or any SOFTWARE key or key codes related to the SOFTWARE PRODUCT and IDM trademarks may not be used, posted or displayed in any form or manner on any online auction sites or any other site without the express prior written permission of IDM.

3.5 Term and Termination. The term of this EULA granted to you for the use of the SOFTWARE PRODUCT is for 1 year, renewable automatically, but without prejudice to any other rights, IDM may terminate this EULA if you fail to comply with any of the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

3.6 Multi-Platform License (Software for Windows, Mac, Linux operating systems). The SOFTWARE PRODUCT or SOFTWARE, which is the subject matter of this EULA, is for use on a single platform or all three platforms depending on the product your order.

3.7 Educational Version. When we discount the Software or Service as for special use by educational users then we refer to it as an “Educational Version”. You may only use the Educational Version if you meet the eligibility requirements stated at http://www.ultraedit.com/register-buy/edu-discounts.html. You may install and use Educational Version only in the country where you are qualified as an educational user. If you reside in the European Economic Area, then the word “country” in the sentence preceding this one means the European Economic Area.

3.8 Trial Version Restrictions. Your rights to install and use the Trial Version under this section will immediately terminate upon the earlier of (a) the expiration of the Trial Period, or (b) such time that You purchase a license to the SOFTWARE PRODUCT or SOFTWARE. YOU ACKNOWLEDGE THAT THE TRIAL VERSION MAY HAVE LIMITED FEATURES, FUNCTION FOR A LIMITED PERIOD OF TIME, HAVE OTHER LIMITATIONS NOT PRESENT IN A NON-TRIAL VERSION OF THE SOFTWARE. NOTWITHSTANDING ANYTHING TO THE CONTRARY IN THIS EULA, THE TRIAL VERSION OF ANY IDM SOFTWARE PRODUCT or SOFTWARE IS PROVIDED TO YOU ON AN "AS IS" BASIS, AND IDM DISCLAIMS ANY WARRANTY OR LIABILITY OBLIGATIONS TO YOU OF ANY KIND.

3.9. Upgrades. If upgrading from one IDM SOFTWARE PRODUCT to a different IDM SOFTWARE PRODUCT, the subsequent use of the originating product is invalidated/prohibited in accordance with this EULA (Effectively exchanging rights of use). For products purchased with 2 years of upgrades, you will not be charged for any major or minor releases from the date of your order for a period of 24 months. For orders that were purchased with Unlimited Lifetime Upgrades, you will not be charged for any major or minor releases from the date of your order for the life of the product. See also End of Life Policy.

4. Intellectual Property Rights. All rights, title, and interests, including, but not limited to, all copyrights, trade secret rights, patent and trademark rights in and to the SOFTWARE PRODUCT (including but not limited to any images incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT, are owned by and shall remain the sole property of IDM.

5. Injunctive Relief. The parties agree that if You utilize or otherwise use any of the SOFTWARE PRODUCT in an unauthorized manner, or breach the terms and conditions of this EULA, that such use or breach would have a devastating and serious impact on IDM’s continuing ability to compete profitably and would, therefore, result in immediate and irreparable injury, loss or damage to IDM. The parties agree that in such event, in addition to IDM’s right to recover damages for a breach of this EULA, IDM would be entitled to obtain a temporary restraining order or a preliminary injunction from a court of competent jurisdiction to prevent You, Your employees, agents, consultants, or independent contractors from engaging in any further use of the SOFTWARE PRODUCT or the continued breach of the remaining terms and conditions of this EULA.

6. Limited Warranty. IDM warrants that the SOFTWARE PRODUCT will perform substantially in accordance with the accompanying written materials for a period of ninety (90) days from the date of receipt. Some states and jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to You. To the extent allowed by applicable law, implied warranties on the SOFTWARE PRODUCT, are limited to ninety (90) days and one year, respectively.

7. Customer Remedies. IDM’s and its suppliers’ or licensor’s entire liability and Your exclusive remedy shall be, at IDM’s option, either (a) return the license fee paid, or (b) repair or replacement of the SOFTWARE PRODUCT that does not meet IDM’s Limited Warranty and which is returned to IDM with a copy of Your receipt.

This Limited Warranty is void if failure of the SOFTWARE PRODUCT has resulted from misapplication. Any replacement SOFTWARE PRODUCT will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Outside the United States, neither these remedies nor any product support services offered by IDM are available without proof of purchase from an authorized international source.

8. NO OTHER WARRANTIES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IDM AND ITS SUPPLIERS, and LICENSORS DISCLAIM ALL OTHER WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

9. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL IDM OR ITS SUPPLIERS, OR LICENSORS, BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE, MISUSE, OR INABILITY TO USE THE SOFTWARE PRODUCT, EVEN IF IDM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

10. Survival. The restrictions and obligations as contained in this EULA which You have voluntarily agreed to shall survive any expiration, termination or cancellation of this EULA, and shall continue and remain in effect to bind You, and Your employees, agents, successors, heirs and assigns.

11. Succession. This EULA and the applicable License restrictions set forth the entire Agreement and understanding between the parties as to the subject matter of this Agreement and supersede all prior EULA's, discussions, representations, and amendments of understandings of every kind and nature between them.

12. Amendments. Except as otherwise provided in this EULA, this Agreement may not be amended, altered, or any of its provisions waived on behalf of either party, except in writing executed by both parties’ duly authorized agent.

13. Assignability. Except as otherwise expressly provided under this EULA, this agreement and the rights and duties under this Agreement may not be assigned by You without the prior written consent of IDM.

14. Benefit. This EULA shall be binding upon and inure to the benefit of IDM and its successors and assigns.

15. Counterparts. This EULA may be executed and/or accepted in one or more counterparts, each of which shall be enforceable against the party actually executing and/or accepting the counterparts, and all of which together shall constitute one instrument.

16. Severability. If any provision of this EULA becomes or is declared by a court of competent jurisdiction to be illegal, unenforceable, or void, the remaining portion(s) of this EULA shall continue in full force and effect without said provision; provided, however, that no such severability shall be effective if it materially changes the economic benefit of the EULA to IDM.

17. Authority to Execute and Accept. You warrant and represent to IDM that this EULA shall be binding upon You, and that the individual agreeing to be bound under the terms and conditions of this EULA is authorized or has been empowered to do so.

18. Third party Acknowledgement and Terms. The SOFTWARE PRODUCT or SOFTWARE may use or include third party components or Content and other copyrighted or publicly licensed material. Acknowledgments, licensing terms and additional disclaimers for such components, Content, or materials are contained in the respective components documentation, and Your use of such components, Content or material is governed by their respective terms and conditions.

19. Order of Precedence. If there is any conflict between the terms of any previous End User License Agreement (EULA) and this Agreement and any Additional Terms, then this agreement and any Additional Terms shall govern in relation to perpetual software licenses and subscription-based Software use.


Sales
Previous Topic

For the most recent information regarding licensing costs and options, please contact us at sales@idmcomp.com .

Registration may be placed by one of the following methods:

1) SECURE order form at: https://www.ultraedit.com/store/customer/home.php

2) FAX to (513) 892 4915

Telephone to (513) 892 8600.

3) MAIL - send payment/order to:

IDM Computer Solutions, Inc.

5559 Eureka Dr.

Suite B

Hamilton, OH 45011

USA

4) E-Mail to sales@idmcomp.com


Error Messages

BigProduct Error Messages

There are many Error Messages that may be produced by a BigProduct unit. This topic is intended to list the messages and provide reasons and suggested actions.

Error | Reason | Action
1001 | Low battery | Replace battery
1010 | Overheating | Cool unit
2035 | Signal Weak | Possible obstruction with antenna - Move obstruction
3300 | No Signal | Dead battery or damaged antenna - Replace battery or antenna

This is an example of an Error Messages page. Note the bookmark flags. Each possible error message would be listed in the Index. This would allow the help user to easily locate information related to the error.


Welcome

BigCoBigProduct Overview

BigProduct is a fictitious product used to provide Maximum Demonstration power for 8.0.0 .

BigProduct may be used to accomplish the following objectives:

  • Vehicle Tracking
  • Employee Monitoring
  • Lawn Maintenance
  • Pet Monitoring
  • Rail Transport Movements

Whatever it is, BigCo has you covered with BigProduct !